PLaSK library

Loading...
Searching...
No Matches
Public Member Functions | Public Attributes | Protected Member Functions | List of all members
plask::RectilinearMesh3D::ElementMesh< BaseMeshT > Struct Template Reference

Element mesh class. More...

`#include <plask/mesh/rectilinear3d.hpp>`

Inheritance diagram for plask::RectilinearMesh3D::ElementMesh< BaseMeshT >:
[legend]
Collaboration diagram for plask::RectilinearMesh3D::ElementMesh< BaseMeshT >:
[legend]

## Public Member Functions
template<typename... Args>
| ElementMesh (const BaseMeshT *originalMesh, Args... args)
template<typename RandomAccessContainer >
auto | interpolateNearestNeighbor (const RandomAccessContainer &data, const Vec< 3 > &point, const InterpolationFlags &flags) const -> typename std::remove_reference< decltype(data[0])>::type
| Calculate (using nearest neighbor interpolation) value of data in point using data in points described by this mesh.

## Public Attributes
const BaseMeshT * | originalMesh
| Original mesh.

## Protected Member Functions
bool | hasSameNodes (const MeshD< 3 > &to_compare) const override

## Detailed Description

template<typename BaseMeshT>
struct plask::RectilinearMesh3D::ElementMesh< BaseMeshT >

Element mesh class.

This class has changed nearest neighnour interpolation, to consider original mesh boundaries

Definition at line 266 of file rectilinear3d.hpp.

## Constructor & Destructor Documentation

## ◆ ElementMesh()

template<typename BaseMeshT >
template<typename... Args>

plask::RectilinearMesh3D::ElementMesh< BaseMeshT >::ElementMesh | ( | const BaseMeshT * | originalMesh,
|  | Args... | args
| ) |  |
| inline

Definition at line 272 of file rectilinear3d.hpp.

## Member Function Documentation

## ◆ hasSameNodes()

template<typename BaseMeshT >

bool plask::RectilinearMesh3D::ElementMesh< BaseMeshT >::hasSameNodes | ( | const MeshD< 3 > & | to_compare | ) | const
| inline override protected

Definition at line 302 of file rectilinear3d.hpp.

## ◆ interpolateNearestNeighbor()

template<typename BaseMeshT >
template<typename RandomAccessContainer >

auto plask::RectilinearMesh3D::ElementMesh< BaseMeshT >::interpolateNearestNeighbor | ( | const RandomAccessContainer & | data,
|  | const Vec< 3 > & | point,
|  | const InterpolationFlags & | flags
| ) |  | const -> typename std::remove_reference<decltype(data[0])>::type
| inline

Calculate (using nearest neighbor interpolation) value of data in point using data in points described by this mesh.

Consider original mesh boundaries for point selection

Parameters

  data | values of data in points describe by this mesh
  point | point in which value should be calculate

Returns
  interpolated value in point `point`

Definition at line 282 of file rectilinear3d.hpp.

## Member Data Documentation

## ◆ originalMesh

template<typename BaseMeshT >

const BaseMeshT* plask::RectilinearMesh3D::ElementMesh< BaseMeshT >::originalMesh

Original mesh.

Definition at line 269 of file rectilinear3d.hpp.

The documentation for this struct was generated from the following file:

- plask/mesh/rectilinear3d.hpp